# Lessev

Serverless dev server.

## Features

- Auto refresh
- Easy to use
- JSON only

## Usage

* Install

```shell
npm i lessev -g
```

* Build serverless function

*index.js*

```javascript
'use strict'

exports.handler = async (event, context) => {
    return { message: 'hello world' }
}
```

*package.json*

```json
{
    "main": "index.js",
    "scripts": {
        "start": "lessev"
    }
}
```

* Start serverless service

```shell
npm start
```

## Options

```shell
lessev --port=3000 --method=POST --entry=handler --timeout=3000 --path=/path/to/project --mount=/api --limit
```

- `port` server listen port, default **4000**
- `method` allow method, support **GET** or **POST**, default **POST**
- `entry` function entry, default **handler**
- `timeout` handler timeout, default **3000**
- `path` project directory, default **cwd**
- `mount` mount request path, default **/**
- `limit` body limit, default **2000**